# Update Report Update existing report Endpoint: PUT /reports Version: v1 Security: bearerAuth ## Request fields (application/json): - `id` (integer) id Example: 1 - `name` (string, required) name Example: "Name of the report" - `path` (string, required) path Example: "Path of the report" - `enabled` (boolean) enabled Example: true - `order` (integer, required) order Example: 4 - `enableProjectPicker` (boolean) enableProjectPicker - `reportOptions` (array) - `reportOptions.label` (string, required) label Example: "Display Name of the Report Parameter" - `reportOptions.description` (string, required) description Example: "Description of the Report Parameter" - `reportOptions.type` (string, required) type Example: "Type of the Report Parameter" - `reportOptions.defaultValue` (string) defaultValue Example: "Default value of the Report Parameter" - `reportOptions.required` (boolean) required ## Response 200 fields ## Response 400 fields ## Response 401 fields ## Response 404 fields ## Response 500 fields